Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in OpenSSL
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in OpenSSL
ID: FEDORA-2015-4320
Distribution: Fedora
Plattformen: Fedora 22
Datum: So, 22. März 2015, 15:34
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0209
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0286
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0287
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0288
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0289
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0292
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0293

Originalnachricht

Name        : openssl
Product : Fedora 22
Version : 1.0.1k
Release : 6.fc22
URL : http://www.openssl.org/
Summary : Utilities from the general purpose cryptography library with TLS
implementation
Description :
The OpenSSL toolkit provides support for secure communications between
machines. OpenSSL includes a certificate management tool and shared
libraries which provide various cryptographic algorithms and
protocols.

-------------------------------------------------------------------------------
-
Update Information:

Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0292, CVE-2015-0287,
CVE-2015-0286, CVE-2015-0288

-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1196737 - CVE-2015-0209 openssl: use-after-free on invalid EC
private key import
https://bugzilla.redhat.com/show_bug.cgi?id=1196737
[ 2 ] Bug #1202366 - CVE-2015-0286 openssl: invalid pointer use in
ASN1_TYPE_cmp()
https://bugzilla.redhat.com/show_bug.cgi?id=1202366
[ 3 ] Bug #1202380 - CVE-2015-0287 openssl: ASN.1 structure reuse memory
corruption
https://bugzilla.redhat.com/show_bug.cgi?id=1202380
[ 4 ] Bug #1202384 - CVE-2015-0289 openssl: PKCS7 NULL pointer dereference
https://bugzilla.redhat.com/show_bug.cgi?id=1202384
[ 5 ] Bug #1202395 - CVE-2015-0292 openssl: integer underflow leading to
buffer overflow in base64 decoding
https://bugzilla.redhat.com/show_bug.cgi?id=1202395
[ 6 ] Bug #1202404 - CVE-2015-0293 openssl: assertion failure in SSLv2
servers
https://bugzilla.redhat.com/show_bug.cgi?id=1202404
[ 7 ] Bug #1202418 - CVE-2015-0288 openssl: X509_to_X509_REQ NULL pointer
dereference
https://bugzilla.redhat.com/show_bug.cgi?id=1202418
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update openssl' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung